> For the complete documentation index, see [llms.txt](https://docs.sportradar.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.sportradar.com/soccer/objects/live-objects/action/fixture-action.md).

# Fixture Action

<table data-header-hidden><thead><tr><th width="248">Property</th><th>Description</th></tr></thead><tbody><tr><td>period<br><em><mark style="color:blue;">integer</mark></em></td><td>The period id.</td></tr><tr><td>actionId<br><em><mark style="color:blue;">UUID</mark></em></td><td>The id number of the action. This will be useful in linking actions that are pending, updated etc.</td></tr><tr><td>metadata<br><a data-mention href="/pages/pvnVfatL2ugB7oSvFPDe">/pages/pvnVfatL2ugB7oSvFPDe</a></td><td>Provides essential contextual information about a sports event, including the coverage level, fixture status, collection status, and reason codes for collection status. This parameter enhances the data's utility by indicating the depth of event coverage, the real-time progress of the fixture, the current state of data collection, and explanations for any collection interruptions.</td></tr><tr><td>sendType<br><em><mark style="color:blue;">string</mark></em></td><td><p>the send type <a data-footnote-ref href="#user-content-fn-1">name</a>.<br><br>Please also note some important information:</p><ul><li>Pending actions can be cancelled.</li><li>Confirmed actions can be deleted and typically all key actions (card, goal, penalty) start with a pending state.</li><li>Deleted actions can be restored and when this happens you will receive the same action with an 'Updated' sendType</li><li>"Updated" is not only used for actions that have been deleted. It also used for any change of players or sub types or anything else regarding a previously "Confirmed" action</li><li>An action of one type can be 'Updated' to a different type. (i.e. a yellow to red card in soccer or defensive rebound to offensive rebound in basketball)</li></ul></td></tr><tr><td></td><td></td></tr><tr><td>clockTime<br><em><mark style="color:blue;">string</mark></em></td><td>The value on the clock when the action was collected.</td></tr><tr><td>fixtureId<br><em><mark style="color:blue;">UUID</mark></em></td><td>The unique id of the fixture.</td></tr><tr><td>timestamp<br><em><mark style="color:blue;">timestamp</mark></em></td><td><a data-footnote-ref href="#user-content-fn-2">Timestamp</a> of the action within the fixture, in RFC 3339 format.</td></tr><tr><td>sendTypeId<br><em><mark style="color:blue;">integer</mark></em></td><td>the send type <a data-footnote-ref href="#user-content-fn-3">Id</a>.</td></tr><tr><td>fixtureSeqNum<br><em><mark style="color:blue;">boolean</mark></em></td><td>A deduplicated list of scorer sequence numbers based on the action creation time across all devices and all scorers.</td></tr><tr><td>timelineSequence</td><td>The timeline sequence</td></tr><tr><td>fixtureActionType<br><em><mark style="color:blue;">string</mark></em></td><td>The action type <a data-footnote-ref href="#user-content-fn-4">name</a>. Full list of actions can be found <a href="/pages/EBVW8QPN9UrU0zN4gWEc">here</a>.</td></tr><tr><td>fixtureActionTypeId<br><em><mark style="color:blue;">integer</mark></em></td><td>The action type Id related to the fixtureActionType.</td></tr><tr><td>fixtureActionSubType<br><em><mark style="color:blue;">string</mark></em></td><td>The sub action type name.</td></tr><tr><td>relatedFixtureActionIds</td><td><p>The relatedFixtureActionId is used for two scenarios:</p><ul><li>Deletable actions - e.g., disallowed goal would have goal action id as related so an operator can link actions.</li><li>follow on actions - e.g., basketball 2PT Missed might have defensive rebound and block as related.</li></ul></td></tr><tr><td>fixtureActionSubTypeId<br><em><mark style="color:blue;">integer</mark></em></td><td>The sub action type id related to fixtureActionSubType.</td></tr><tr><td>team<br><a href="/pages/hZS3xg3QL7l0DDQ4yb3K"><em><mark style="color:blue;">Team</mark></em></a></td><td>Team details</td></tr><tr><td>player <em><mark style="color:red;">optional</mark></em><br><a href="/pages/kdMbHkwie9W77ALnhJau"><em><mark style="color:blue;">Player</mark></em></a></td><td>Player information</td></tr><tr><td>delayStatus<br>String</td><td>Identify delayed packets collected offline due to scorer disconnection, ensuring these packets include the actual collection timestamp upon reconnection.</td></tr></tbody></table>

## Information on fixtureSeqNum and timelineSequence

fixtureSeqNum is a deduplicated list of scorer sequence numbers based on the action creation time across all devices and all scorers. timelineSequence is a value that considers the chronological order of actions. The intention is for it to be both sequential and unique, ensuring that no actions have the same timelineSequence and that any action occurring afterward has a greater timeline sequence. When a fixture is finished the order of actions is based on the timelinesequence. During a live match, the packets should be ordered by fixtureSeqNum.

## Sample Payload

```json
"delayStatus": "DELAYED",
"fixtureAction": {
  "period": 1,
  "actionId": "6ee3f4f6-e85c-448a-a13a-f5b85979337f",
  "sendType": "Confirmed",
  "clockTime": "10:00",
  "fixtureId": "2104e2e1-3439-4684-a146-28df3f89bda2",
  "timestamp": "2022-09-25T14:20:57.092100Z",
  "sendTypeId": 5,
  "fixtureSeqNum": 11,
  "timelineSequence": 1.000000000000001,
  "fixtureActionType": "Red Card",
  "fixtureActionTypeId": 105,
  "fixtureActionSubType": "Straight Red",
  "fixtureActionSubTypeId": 10501,
  "team": {
    "homeTeam": true,
    "id": "867a43cd-140d-4792-a7b0-74eefca2527f",
    "name": "KV Kortrijk"
  },
  "player": {
    "id": "ac367f4c-c8a5-48ac-afdc-be9fbddfa60c",
    "name": "Kristof D'Haene"
  },
  "relatedFixtureActionIds":[],
}
```

[^1]: <mark style="color:orange;">1</mark> Pending (possible action packet)\ <mark style="color:orange;">2</mark> Updated (updates info on confirmed packets)\ <mark style="color:orange;">3</mark> Cancelled (invalidates pending packet)\ <mark style="color:orange;">4</mark> Deleted (deletes confirmed packets)\ <mark style="color:orange;">5</mark> Confirmed (confirmed packet and can be added)

[^2]: Examples for January 25th, 2020

    6:25:34pm\
    \
    Pacific Standard Time:

    <mark style="color:orange;">UTC: 2020-01-26T02:25:34Z</mark>

    \
    Pacific Standard Time with UTC offset:

    <mark style="color:orange;">2020-01-25T18:25:34-08:00</mark>

[^3]: <mark style="color:orange;">1</mark> Pending (possible action packet)\ <mark style="color:orange;">2</mark> Updated (updates info on confirmed packets)\ <mark style="color:orange;">3</mark> Cancelled (invalidates pending packet)\ <mark style="color:orange;">4</mark> Deleted (deletes confirmed packets)\ <mark style="color:orange;">5</mark> Confirmed (confirmed packet and can be added)<br>

    Note that Pending actions can be cancelled. Confirmed actions can be deleted and typically all key actions (card, goal, penalty) start with a pending state

[^4]: Kick, Goal, Attack


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.sportradar.com/soccer/objects/live-objects/action/fixture-action.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
